Python - Error Flask

 
Vista:
Imágen de perfil de Vladimir
Val: 19
Ha disminuido su posición en 2 puestos en Python (en relación al último mes)
Gráfica de Python

Error Flask

Publicado por Vladimir (11 intervenciones) el 05/01/2019 19:07:25
Hola buenas tardes, estoy creando un una pequeña aplicacion hello word en Python con Flask, pero me genera el siguiente error:


Flask


instale la libreria con pip, utilize esta guia:

http://martinml.com/es/instalar-flask-en-windows/

espero me puedan orientar, gracias.
Valora esta pregunta
Me gusta: Está pregunta es útil y esta claraNo me gusta: Está pregunta no esta clara o no es útil
0
Responder
Imágen de perfil de Vladimir
Val: 19
Ha disminuido su posición en 2 puestos en Python (en relación al último mes)
Gráfica de Python

Error Flask

Publicado por Vladimir (11 intervenciones) el 06/01/2019 04:52:33
E intentado instalar el flask por medio del comando PIP: Python 3.7


C:\Users\Vladimir.Angarita\AppData\Local\Programs\Python\Python37\Scripts>pip in
stall flask
Collecting flask
Using cached https://files.pythonhosted.org/packages/7f/e7/08578774ed4536d3242
b14dacb4696386634607af824ea997202cd0edb4b/Flask-1.0.2-py2.py3-none-any.whl
Collecting Werkzeug>=0.14 (from flask)
Using cached https://files.pythonhosted.org/packages/20/c4/12e3e56473e52375aa2
9c4764e70d1b8f3efa6682bef8d0aae04fe335243/Werkzeug-0.14.1-py2.py3-none-any.whl
Collecting click>=5.1 (from flask)
Using cached https://files.pythonhosted.org/packages/fa/37/45185cb5abbc30d7257
104c434fe0b07e5a195a6847506c074527aa599ec/Click-7.0-py2.py3-none-any.whl
Collecting Jinja2>=2.10 (from flask)
Using cached https://files.pythonhosted.org/packages/7f/ff/ae64bacdfc95f27a016
a7bed8e8686763ba4d277a78ca76f32659220a731/Jinja2-2.10-py2.py3-none-any.whl
Collecting itsdangerous>=0.24 (from flask)
Using cached https://files.pythonhosted.org/packages/76/ae/44b03b253d6fade317f
32c24d100b3b35c2239807046a4c953c7b89fa49e/itsdangerous-1.1.0-py2.py3-none-any.wh
l
Collecting MarkupSafe>=0.23 (from Jinja2>=2.10->flask)
Downloading https://files.pythonhosted.org/packages/44/6e/41ac9266e3db762dfd90
89f6b0d2298c84160f54ef2a7257c17b0e7ec2ec/MarkupSafe-1.1.0-cp37-cp37m-win_amd64.w
hl
mysql-connector-python 8.0.13 requires protobuf>=3.0.0, which is not installed.
Installing collected packages: Werkzeug, click, MarkupSafe, Jinja2, itsdangerous
, flask
The script flask.exe is installed in 'c:\users\vladimir.angarita\appdata\local
\programs\python\python37\Scripts' which is not on PATH.
Consider adding this directory to PATH or, if you prefer to suppress this warn
ing, use --no-warn-script-location.
Successfully installed Jinja2-2.10 MarkupSafe-1.1.0 Werkzeug-0.14.1 click-7.0 fl
ask-1.0.2 itsdangerous-1.1.0
You are using pip version 10.0.1, however version 18.1 is available.
You should consider upgrading via the 'python -m pip install --upgrade pip' comm
and.
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar
sin imagen de perfil
Val: 2.195
Oro
Ha mantenido su posición en Python (en relación al último mes)
Gráfica de Python

Error Flask

Publicado por tincopasan (605 intervenciones) el 06/01/2019 18:03:17
con respecto a python version 3.7 parece que te falta agregarlo al path del sistema en las variables de entorno. También falta un connector sql(la verdad no se si flask no lo instala) Además te avisa que tenés que actualizar pip a una version más nueva.
sobre python 2.7 no tengo idea, hace años que no me interesa.
supongo que sabrás que necesitas tener habilitada la opción de localhost, ya sea por windows(no te la recomiendo) o usando wamp o xampp(me parece la mejor)
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar